import Vue from 'vue'
import store from 'scripts/vuex'
import router from 'scripts/router'
import axios from 'scripts/global/axios-init'
import GlobalComponents from 'scripts/global/load-global-components'
import PlusInit from 'scripts/global/plus-init'
import 'scripts/global/storage'
//import 'scripts/global/fastclick-init'

import 'style/reset.css'
import 'style/iconfont/index.css'
import 'style/animate.css'
import 'vant/lib/index.css'
import 'style/vant-fix.css'

Vue.use(axios)
Vue.use(GlobalComponents)

Vue.config.productionTip = false



const app = new Vue({
  store,
  router,
  data() {
    return {
      cacheComponents: [],
      routerAnimate: '',
    }
  },
})

PlusInit(app)
