import { Toast } from 'vant'
import Private from 'components/plus/private'

const checkIsApp = ()=> {
  const str = navigator.userAgent.toLowerCase()
  return str.match(/nanjinglite/)
}

const checkPrivate = ()=> {
	if (!plus.runtime.isAgreePrivacy()) {
		Private.show()
	}
}

const PlusInit = (app)=> {
	if (checkIsApp()) {
	  document.addEventListener('plusready', ()=> {
	    // app返回按钮拦截
	    let first = null
	    plus.key.addEventListener('backbutton', ()=> {
	      const webview = plus.webview.currentWebview()
	      webview.canBack((e)=> {
	        if (e.canBack) {
	          webview.back()
	        } else if (!first) {
	          first = true
	          Toast({ message: '再按一次退出应用', position: 'bottom' })
	          setTimeout(()=> {
	            first = null
	          }, 2000)
	        } else {
	          plus.runtime.quit()
	        }
	      })
	    })

	    // 设置状态栏颜色
	    plus.navigator.setStatusBarBackground('#2d3144')
	    plus.navigator.setStatusBarStyle('light')
	    // window.alert(plus.navigator.getStatusBarStyle())
	    // window.alert(window.plusready)

	    // 检测用户是否同意隐私政策
	    checkPrivate()
	    app.$mount('#app')
	  }, false)
	} else {
	  app.$mount('#app')
	}
}

export default PlusInit
