import {
  getCustomerSourceAll,
} from './customer-detail-component'

/**
 * 意向度
 * */
function getIntentionAll() {
  const intentionColorDictionary = {
    STRONG: '#94D14D',
    GENERAL: '#4CA6FF',
    WEAK: '#FAB40A',
    NO: '#ccc',
  }
  const intentionOptions = [
    { label: '意向强', value: 'STRONG', color: intentionColorDictionary.STRONG, className: 'green' },
    { label: '意向一般', value: 'GENERAL', color: intentionColorDictionary.GENERAL, className: 'blue' },
    { label: '意向弱', value: 'WEAK', color: intentionColorDictionary.WEAK, className: 'orange' },
    { label: '无意向', value: 'NO', color: intentionColorDictionary.NO, className: 'grey' },
  ]
  const intentionDictionary = {
    STRONG: '意向强',
    GENERAL: '意向一般',
    WEAK: '意向弱',
    NO: '无意向',
  }
  const enumIntention = {
    STRONG: 'STRONG',
    GENERAL: 'GENERAL',
    WEAK: 'WEAK',
    NO: 'NO',
  }
  return {
    intentionColorDictionary,
    intentionOptions,
    intentionDictionary,
    enumIntention,
  }
}


/**
 * 客户回访状态
 * */
function getCustomerVisitStatusAll() {
  const customerVisitStatusColorDictionary = {
    TODAY_VISIT: '#FAB40A',
    TOMORROW_VISIT: '#4CA6FF',
    WAIT_VISIT: '#94D14D',
    NO_VISIT: '#ccc',
  }
  const customerVisitStatusOptions = [
    { label: '今日待回访', value: 'TODAY_VISIT', color: customerVisitStatusColorDictionary.TODAY_VISIT, active: false },
    { label: '明日待回访', value: 'TOMORROW_VISIT', color: customerVisitStatusColorDictionary.TOMORROW_VISIT, active: false },
    { label: '等待回访', value: 'WAIT_VISIT', color: customerVisitStatusColorDictionary.WAIT_VISIT, active: false },
    { label: '未回访', value: 'NO_VISIT', color: customerVisitStatusColorDictionary.NO_VISIT, active: false },
  ]
  const customerVisitStatusDictionary = {
    TODAY_VISIT: '今日待回访',
    TOMORROW_VISIT: '明日待回访',
    WAIT_VISIT: '等待回访',
    NO_VISIT: '未回访',
  }
  const enumCustomerVisitStatus = {
    TODAY_VISIT: 'TODAY_VISIT',
    TOMORROW_VISIT: 'TOMORROW_VISIT',
    WAIT_VISIT: 'WAIT_VISIT',
    NO_VISIT: 'NO_VISIT',
  }
  return {
    customerVisitStatusDictionary,
    customerVisitStatusOptions,
    customerVisitStatusColorDictionary,
    enumCustomerVisitStatus,
  }
}


/**
 * 客户事件类型
 * */
function getCustomerEventTypeAll() {
  const enumCustomerEventType = {
    ALL: null,
    REVISIT: 'REVISIT',
    GUIDE_VISIT: 'GUIDE_VISIT',
    JOURNEY_PLAN: 'JOURNEY_PLAN',
    TRADE: 'TRADE',
    CALL: 'CALL',
    OPERATE: 'OPERATE',
    //
    CREATE_HISTORY: 'CREATE_HISTORY',
    MODIFY_RECORD: 'MODIFY_RECORD',
  }
  const customerEventTypeDictionary = {
    REVISIT: '回访',
    GUIDE_VISIT: '带看',
    JOURNEY_PLAN: '行程',
    TRADE: '成交',
    CALL: '通话',
    OPERATE: '操作',
    //
    CREATE_HISTORY: '创建',
    MODIFY_RECORD: '编辑',
  }
  const customerEventTypeColorDictionary = {
    ALL: null,
    REVISIT: '#E39F21',
    GUIDE_VISIT: '#30968A',
    JOURNEY_PLAN: '#DA433F',
    //
    TRADE: '#9693FF',
    CALL: '#2190E3',
    OPERATE: '#A9B5C6',
    //
    CREATE_HISTORY: null,
    MODIFY_RECORD: null,
  }
  return {
    enumCustomerEventType,
    customerEventTypeDictionary,
    customerEventTypeColorDictionary,
  }
}


/**
 * 客户分享类型
 * */
function getShareCustomerTypeAll() {
  const shareCustomerTypeOptions = [
    { label: '别人共享', value: 'OTHER_SHARE', active: false },
    { label: '我共享', value: 'MY_SHARE', active: false },
  ]
  const shareCustomerTypeDictionary = {
    OTHER_SHARE: '别人共享',
    MY_SHARE: '我共享',
  }
  const enumShareCustomerType = {
    OTHER_SHARE: 'OTHER_SHARE',
    MY_SHARE: 'MY_SHARE',
  }
  return {
    shareCustomerTypeOptions,
    shareCustomerTypeDictionary,
    enumShareCustomerType,
  }
}


/**
 * 共享客户状态
 * */
function getShareCustomerStatusAll() {
  const shareCustomerStatusOptions = [
    { label: '正常', value: 'NORMAL', active: false },
    { label: '待确认', value: 'WAIT_CONFIRM', active: false },
  ]
  const shareCustomerStatusDictionary = {
    NORMAL: '正常',
    WAIT_CONFIRM: '待确认',
  }
  const shareCustomerStatusColorDictionary = {
    NORMAL: '#89CA6D',
    WAIT_CONFIRM: '#F86C73',
  }
  const enumShareCustomerStatus = {
    NORMAL: 'NORMAL',
    WAIT_CONFIRM: 'WAIT_CONFIRM',
  }
  return {
    shareCustomerStatusOptions,
    shareCustomerStatusDictionary,
    shareCustomerStatusColorDictionary,
    enumShareCustomerStatus,
  }
}


/**
 * 客户操作类型
 * */
function getCustomerOperatingTypeAll() {
  const customerOperatingTypeOptions = [
    { label: '新增', value: 'CREATE' },
    { label: '修改', value: 'UPDATE' },
    { label: '转移', value: 'TRANSFER' },
    { label: '删除', value: 'DELETE' },
    { label: '共享', value: 'SHARE' },
  ]
  const customerOperatingTypeDictionary = {
    CREATE: '新增',
    UPDATE: '修改',
    TRANSFER: '转移',
    DELETE: '删除',
    SHARE: '共享',
  }
  const enumCustomerOperatingType = {
    CREATE: 'CREATE',
    UPDATE: 'UPDATE',
    TRANSFER: 'TRANSFER',
    DELETE: 'DELETE',
    SHARE: 'SHARE',
  }
  return {
    customerOperatingTypeOptions,
    customerOperatingTypeDictionary,
    enumCustomerOperatingType,
  }
}


/**
 * 客户分类
 * */
function getCustomerCategoryAll() {
  const customerCategoryOptions = [
    { label: '私客', value: 'PRIVATE_CUSTOMER' },
    { label: '公司公客', value: 'COMPANY_CUSTOMER' },
    { label: '无效客户', value: 'INVALID_CUSTOMER' },
    { label: '部门客户', value: 'DEPARTMENT_CUSTOMER' },
  ]
  const customerCategoryDictionary = {
    PRIVATE_CUSTOMER: '私客',
    COMPANY_CUSTOMER: '公司公客',
    INVALID_CUSTOMER: '无效客户',
    DEPARTMENT_CUSTOMER: '部门客户',
  }
  const enumCustomerCategory = {
    PRIVATE_CUSTOMER: 'PRIVATE_CUSTOMER',
    COMPANY_CUSTOMER: 'COMPANY_CUSTOMER',
    INVALID_CUSTOMER: 'INVALID_CUSTOMER',
    DEPARTMENT_CUSTOMER: 'DEPARTMENT_CUSTOMER',
  }
  return {
    customerCategoryOptions,
    customerCategoryDictionary,
    enumCustomerCategory,
  }
}


/**
 * 房源类型
 * */
function getHouseTypeAll() {
  const houseTypeOptions = [
    { label: '新房', value: 'NEW' },
    { label: '二手房', value: 'SECOND_HAND' },
    { label: '租房', value: 'RENT' },
  ]
  const houseTypeDictionary = {
    NEW: '新房',
    SECOND_HAND: '二手房',
    RENT: '租房',
  }
  const enumHouseType = {
    NEW: 'NEW',
    SECOND_HAND: 'SECOND_HAND',
    RENT: 'RENT',
  }
  return {
    houseTypeOptions,
    houseTypeDictionary,
    enumHouseType,
  }
}


/**
 * 客户带看类型
 * */
function getCustomerGuideTypeAll() {
  const customerGuideTypeOptions = [
    { label: '自己带看', value: 'OWN' },
    { label: '重复带看', value: 'REPEAT' },
    { label: '协同带看', value: 'COOPERATION' },
  ]
  const customerGuideTypeDictionary = {
    OWN: '自己带看',
    REPEAT: '重复带看',
    COOPERATION: '协同带看',
  }
  const customerGuideTypeColorDictionary = {
    OWN: '#FAB40A',
    REPEAT: '#4CA6FF',
    COOPERATION: '#94D14D',
  }
  const enumCustomerGuideType = {
    OWN: 'OWN',
    REPEAT: 'REPEAT',
    COOPERATION: 'COOPERATION',
  }
  return {
    customerGuideTypeOptions,
    customerGuideTypeDictionary,
    customerGuideTypeColorDictionary,
    enumCustomerGuideType,
  }
}


/**
 * 客户接通情况
 * */
function getCustomerConnectionSituationAll() {
  const customerConnectionSituationOptions = [
    { label: '已接通', value: 'SUCCESS', active: false },
    { label: '未接通', value: 'BUSY', active: false },
    { label: '空号', value: 'VACANT_NUMBER', active: false },
  ]
  const customerConnectionSituationDictionary = {
    SUCCESS: '已接通',
    BUSY: '未接通',
    VACANT_NUMBER: '空号',
  }
  const customerConnectionSituationColorDictionary = {
    SUCCESS: '#3DBE6F',
    BUSY: '#FF6055',
    VACANT_NUMBER: '#7C8D9D',
  }
  const enumCustomerConnectionSituation = {
    SUCCESS: 'SUCCESS',
    BUSY: 'BUSY',
    VACANT_NUMBER: 'VACANT_NUMBER',
  }
  return {
    customerConnectionSituationOptions,
    customerConnectionSituationDictionary,
    customerConnectionSituationColorDictionary,
    enumCustomerConnectionSituation,
  }
}


/**
 * 客户行程类型
 * */
function getCustomerJourneyTypeAll() {
  const customerJourneyTypeOptions = [
    { label: '飞机', value: 'AIRPLANE' },
    { label: '高铁', value: 'BULLET_TRAIN' },
  ]
  const customerJourneyTypeDictionary = {
    AIRPLANE: '飞机',
    BULLET_TRAIN: '高铁',
  }
  const customerJourneyTypeColorDictionary = {
    AIRPLANE: '#4CA6FF',
    BULLET_TRAIN: '#FAB40A',
  }
  const enumCustomerJourneyType = {
    AIRPLANE: 'AIRPLANE',
    BULLET_TRAIN: 'BULLET_TRAIN',
  }
  return {
    customerJourneyTypeOptions,
    customerJourneyTypeDictionary,
    customerJourneyTypeColorDictionary,
    enumCustomerJourneyType,
  }
}


/**
 * 客户带看分类
 * */
function getCustomerGuideVisitCategoryAll() {
  const customerGuideVisitCategoryOptions = [
    { label: '新房', value: 'NEW_HOUSE' },
    { label: '二手房', value: 'SECOND_HAND' },
  ]
  const customerGuideVisitCategoryDictionary = {
    NEW_HOUSE: '新房',
    SECOND_HAND: '二手房',
  }
  const enumCustomerGuideVisitCategory = {
    NEW_HOUSE: 'NEW_HOUSE',
    SECOND_HAND: 'SECOND_HAND',
  }
  return {
    customerGuideVisitCategoryOptions,
    customerGuideVisitCategoryDictionary,
    enumCustomerGuideVisitCategory,
  }
}




/**
 * 日期类型（私客）
 * */
function getPrivateCustomerDateTypeAll() {
  const privateCustomerDateTypeOptions = [
    { label: '创建时间', value: 'CREATE' },
    { label: '公转私时间', value: 'FROM_COMPANY' },
    { label: '最后回访时间', value: 'LAST_VISIT' },
    { label: '预计回访时间', value: 'PLAN_VISIT' },
  ]
  const privateCustomerDateTypeDictionary = {
    CREATE: '创建时间',
    FROM_COMPANY: '公转私时间',
    LAST_VISIT: '最后回访时间',
    PLAN_VISIT: '预计回访时间',
  }
  const enumPrivateCustomerDateType = {
    CREATE: 'CREATE',
    FROM_COMPANY: 'FROM_COMPANY',
    LAST_VISIT: 'LAST_VISIT',
    PLAN_VISIT: 'PLAN_VISIT',
  }
  return {
    privateCustomerDateTypeOptions,
    privateCustomerDateTypeDictionary,
    enumPrivateCustomerDateType,
  }
}



/**
 * 日期类型（公客）
 * */
function getPublicCustomerDateTypeAll() {
  const publicCustomerDateTypeOptions = [
    { label: '创建时间', value: 'CREATE' },
    { label: '私转公时间', value: 'FROM_PRIVATE' },
    { label: '最后回访时间', value: 'LAST_VISIT' },
  ]
  const publicCustomerDateTypeDictionary = {
    CREATE: '创建时间',
    FROM_PRIVATE: '私转公时间',
    LAST_VISIT: '最后回访时间',
  }
  const enumPublicCustomerDateType = {
    CREATE: 'CREATE',
    FROM_PRIVATE: 'FROM_PRIVATE',
    LAST_VISIT: 'LAST_VISIT',
  }
  return {
    publicCustomerDateTypeOptions,
    publicCustomerDateTypeDictionary,
    enumPublicCustomerDateType,
  }
}




/**
 * 日期类型（废弃）
 * */
function getAbandonedCustomerDateTypeAll() {
  const abandonedCustomerDateTypeOptions = [
    { label: '创建时间', value: 'CREATE' },
    { label: '最后回访时间', value: 'LAST_VISIT' },
  ]
  const abandonedCustomerDateTypeDictionary = {
    CREATE: '创建时间',
    LAST_VISIT: '最后回访时间',
  }
  const enumAbandonedCustomerDateType = {
    CREATE: 'CREATE',
    LAST_VISIT: 'LAST_VISIT',
  }
  return {
    abandonedCustomerDateTypeOptions,
    abandonedCustomerDateTypeDictionary,
    enumAbandonedCustomerDateType,
  }
}


/**
 * 成交客户
 * */
function getTradeCustomerAll() {
  const tradeCustomerOptions = [
    { label: '已成交客户', value: true, active: false },
    { label: '未成交客户', value: false, active: false },
  ]
  const tradeCustomerDictionary = {
    true: '已成交客户',
    false: '未成交客户',
  }
  const enumTradeCustomer = {
    true: true,
    false: false,
  }
  return {
    tradeCustomerOptions,
    tradeCustomerDictionary,
    enumTradeCustomer,
  }
}





/**
 * 联系方式类型
 * */
function getContactWayTypeAll() {
  const contactWayTypeOptions = [
    { label: '国内手机', value: 'MOBILE' },
    { label: '国内座机', value: 'TELEPHONE' },
    { label: '微信号', value: 'WECHAT' },
    { label: '港澳台手机', value: 'HMT_MOBILE' },
    // { label: '港澳台座机', value: 'HMT_TELEPHONE' },
  ]
  const contactWayTypeDictionary = {
    MOBILE: '国内手机',
    TELEPHONE: '国内座机',
    WECHAT: '微信号',
    HMT_MOBILE: '港澳台手机',
    // HMT_TELEPHONE: '港澳台座机',
  }
  const enumContactWayType = {
    MOBILE: 'MOBILE',
    TELEPHONE: 'TELEPHONE',
    WECHAT: 'WECHAT',
    HMT_MOBILE: 'HMT_MOBILE',
    // HMT_TELEPHONE: 'HMT_TELEPHONE',
  }
  return {
    contactWayTypeOptions,
    contactWayTypeDictionary,
    enumContactWayType,
  }
}



/**
 * 交易类型
 * */
function getTransactionTypeAll() {
  const transactionTypeOptions = [
    { label: '求购', value: 'PURCHASE' },
    { label: '求租', value: 'RENT' },
  ]
  const transactionTypeDictionary = {
    PURCHASE: '求购',
    RENT: '求租',
  }
  const enumTransactionType = {
    PURCHASE: 'PURCHASE',
    RENT: 'RENT',
  }
  return {
    transactionTypeOptions,
    transactionTypeDictionary,
    enumTransactionType,
  }
}





const customerUtilHelper = {
  getIntentionAll,
  getCustomerVisitStatusAll,
  getCustomerEventTypeAll,
  getShareCustomerTypeAll,
  getShareCustomerStatusAll,
  getCustomerOperatingTypeAll,
  getCustomerCategoryAll,
  getHouseTypeAll,
  getCustomerGuideTypeAll,
  getCustomerConnectionSituationAll,
  getCustomerJourneyTypeAll,
  getCustomerGuideVisitCategoryAll,
  getPrivateCustomerDateTypeAll,
  getPublicCustomerDateTypeAll,
  getAbandonedCustomerDateTypeAll,
  getTradeCustomerAll,
  getContactWayTypeAll,
  getTransactionTypeAll,
  //
  getCustomerSourceAll,
}
export default customerUtilHelper
