import store from 'src/scripts/vuex'


/**
 * 字符串首字母转大写
 * */
const firstUpperCase = function firstUpperCase(str) {
  const reg = /\b(\w)|\s(\w)/g
  //str = str.toLowerCase()
  return str.replace(reg, m=> m.toUpperCase())
}



/**
 * 获取指定字段的相关选项、字典、枚举等等。
 * 参数必传：module: 模块     field: 指定的字段
 * */
export function getAppointFieldAll(module, field) {
  const fieldConfig = JSON.parse(JSON.stringify(store.getters.fieldConfig))
  //console.log(123, fieldConfig, firstUpperCase(field))
  //
  let obj = {}
  if (fieldConfig[module] && field) {
    const fieldList = fieldConfig[module]
    const oArr = []
    const dObj = {}
    const eObj = {}
    //
    fieldList.map((item)=> {
      if (item.property === field && item.child) {
        item.child.map((cItem)=> {
          oArr.push({label: cItem.label, value: cItem.code, active: false})
          dObj[cItem.code] = cItem.label
          eObj[cItem.code] = cItem.code
          return cItem
        })
      }
      return item
    })
    //
    obj = {
      [`${field}Options`]: oArr,
      [`${field}Dictionary`]: dObj,
      [`enum${firstUpperCase(field)}`]: eObj,
    }
  } else {
    obj = {
      [`${field}Options`]: [],
      [`${field}Dictionary`]: {},
      [`enum${firstUpperCase(field)}`]: {},
    }
  }
  return obj
}



