import areaConfig from './data/area'



/**
 * 城市
 * */
function getCityAll() {
  function getCityOptions() {
    const areaObj = JSON.parse(JSON.stringify(areaConfig))
    const cityArr = []
    const provinceObj = areaObj.province_list
    const cityObj = areaObj.city_list
    const countyObj = areaObj.county_list
    const provinceKeys = Object.keys(provinceObj)
    const cityKeys = Object.keys(cityObj)
    const countyKeys = Object.keys(countyObj)
    const ARR = provinceKeys.map((key)=> {
      const iObj = {
        label: provinceObj[key],
        // value: key,
        value: provinceObj[key],
        children: []
      }
      const provinceCode = key.toString().substring(0, 2)
      cityKeys.map((jKey)=> {
        if (provinceCode === jKey.toString().substring(0, 2)) {
          iObj.children.push({
            label: cityObj[jKey],
            // value: jKey,
            value: cityObj[jKey],
          })
        }
        return jKey
      })
      return iObj
    })
    return JSON.parse(JSON.stringify(ARR))
  }
  function getCityDictionary() {
    const areaObj = JSON.parse(JSON.stringify(areaConfig))
    return {...areaObj.province_list, ...areaObj.city_list, ...areaObj.county_list}
  }

  return {
    cityOptions: getCityOptions(),
    cityDictionary: getCityDictionary(),
  }
}




/**
 * 状态
 * */
function getStatusAll() {
  const statusOptions = [
    { label: '激活', value: 'ACTIVE' },
    { label: '禁用', value: 'DISABLE' },
  ]
  const statusDictionary = {
    ACTIVE: '激活',
    DISABLE: '禁用',
  }
  const enumStatus = {
    ACTIVE: 'ACTIVE',
    DISABLE: 'DISABLE',
  }
  return {
    statusOptions,
    statusDictionary,
    enumStatus,
  }
}




/**
 * 授权状态
 * */
function getAuthStatusAll() {
  const authStatusOptions = [
    { label: '待提交审核', value: null },
    { label: '审核中', value: 'WAIT' },
    { label: '不通过', value: 'REJECT' },
    { label: '通过', value: 'PASS' },
  ]
  const authStatusDictionary = {
    null: '待提交审核',
    WAIT: '审核中',
    REJECT: '不通过',
    PASS: '通过',
  }
  const authStatusColorDictionary = {
    null: '#1989fa',
    WAIT: '#1989fa',
    REJECT: '#ee0a24',
    PASS: '#07c160',
  }
  const enumAuthStatus = {
    null: null,
    WAIT: 'WAIT',
    REJECT: 'REJECT',
    PASS: 'PASS',
  }
  return {
    authStatusOptions,
    authStatusDictionary,
    authStatusColorDictionary,
    enumAuthStatus,
  }
}




const globalUtilHelper = {
  getCityAll,
  getStatusAll,
  getAuthStatusAll,
}
export default globalUtilHelper

