import { Toast, Dialog } from 'vant'
import Uploader from 'scripts/utils/uploader'

const defaultOptions = {
  filename: null,
  format: null,
  videoMaximumDuration: 0,
  optimize: true,
  resolution: null,
  popover: {},
}

const Camera = {
	init({ type = 'image', index = '1', options = {}, upload = false }) {
		this.upload = upload
		this.currentOptions = {
			...this.defaultOptions,
			...options,
			index,
		}

		return new Promise((resolve, reject)=> {
			if (!window.plus) {
				reject(new Error('请在app中打开'))
			}

			this.camera = plus.camera.getCamera()

			const isVideo = type === 'video'
			const action = isVideo ? 'startVideoCapture' : 'captureImage'
			this.camera[action]((res)=> {
				if (this.upload) {
					Toast.loading({ message: `上传${isVideo ? '视频' : '图片'}` })
	        Uploader.init({
	          file: [res]
	        }).then((data)=> {
	          resolve(data)
	        }).catch(e=> reject(e))
				} else {
					resolve(res)
				}
			}, (e)=> {
				reject(e)
			}, this.currentOptions)
		})
	},
}

Camera.defaultOptions = defaultOptions

export default Camera
