import { Dialog } from 'vant'
import Uploader from 'scripts/utils/uploader'

const SelectPhoto = (options, upload = false)=> {
  const defaultOptions = {
    filter: 'none',
    multiple: false,
    maximum: 9,
    permissionAlert: true,
    editable: true,
  }

  // multiple为false时then返回file
  // multiple为true时then返回event({ files: [] })
  return new Promise((resolve, reject)=> {
    const currentOptions = {
      ...defaultOptions,
      ...options,
    }
    const errorFn = (e)=> {
      console.log('select photo fail:', e)
      reject(e)
    }

    if (!window.plus) {
      reject(new Error('请在app中打开'))
      return
    }

    plus.gallery.pick((res)=> {
      const data = []
      if (currentOptions.multiple) {
        data.push(...res.files)
      } else {
        data.push(res)
      }
      if (upload) {
        Uploader.init({
          file: data
        }).then((data)=> {
          resolve(data)
        }).catch(e=> reject(e))
      } else {
        resolve(res)
      }
    }, errorFn, currentOptions)
  })
}

export default SelectPhoto
