const server = '/apiproxy';

//线上环境也用nginx反向代理/api地址实现跨域
/* eslint-disable no-undef */
if (DEV) {
  // server = '/api';
  // baobeiserver = '/api';
}

export default {
  // file domain
  fileDomain: null,

  /**
   * 全局
  * */
  // 登录
  login: `${server}/auth/login`,
  // 退出登录
  logout: `${server}/auth/user/logout`,
  // 文件域名
  getFileDomain: `${server}/platform/file/domain`,
  // 上传文件
  uploadFile: `${server}/platform/upload_file`,
  // 字段列表
  fieldList: `${server}/tenant/dictionaries`,
  // 申请授权码
  applyAuthCode: `${server}/tenant/license/apply/add`,
  // 查询授权状态
  authDetail: `${server}/tenant/license/apply/info`,

  /**
   * 用户
  * */
  // 获取当前账号信息
  currentUserInfo: `${server}/erp/staff/current_info`,
  // 当前用户权限列表
  userPermissionList: `${server}/auth/user/permissions`,



  /**
   * 楼盘
   * */
  // 楼盘列表
  estateList: `${server}/tenant/estates`,


  /**
   *  人员
   * */
  // 人员操作
  staff: `${server}/erp/staff`,
  // 人员删除
  getStaffDelete: staffId => `${server}/erp/staff/${staffId}/delete`,
  // 人员详情
  getStaffDetail: staffId => `${server}/erp/staff/${staffId}/detail`,
  // 人员列表
  staffList: `${server}/erp/staff/list`,
  // 人员列表 (权限)
  staffAuthList: `${server}/erp/staff/auth/list`,
  // 踢人员下线
  staffKick: `${server}/erp/staff/kick`,


  /**
   * 客户
  * */
  // 客户操作
  customer: `${server}/erp/customer`,
  // 客户列表
  customerList: `${server}/erp/customer/list`,
  // 客户事件列表
  getCustomerEventList: customerId => `${server}/erp/customer/${customerId}/event`,
  // 共享客户人员列表
  getShareCustomerStaffList: customerId => `${server}/erp/${customerId}/share_customer`,
  // 新增共享客户（人员共享指定客户）
  getCreateShareCustomer: customerId => `${server}/erp/${customerId}/share_customer`,
  // 解绑共享客户（人员解除共享指定客户）
  getDeleteShareCustomer: customerId=> `${server}/erp/share_customer/${customerId}`,
  // 客户组员列表
  customerStaffList: `${server}/erp/staff/customer_summary`,
  // 客户私转公
  customerPrivateTransferPublic: `${server}/erp/customer/transfer_to_company`,
  // 客户私转私
  customerPrivateTransferPrivate: `${server}/erp/customer/private_transfer_to_private`,
  // 客户公转私
  customerPublicTransferPrivate: `${server}/erp/customer/transfer_to_private`,
  // 客户公转公
  customerPublicTransferPublic: `${server}/erp/customer/company_transfer_to_company`,
  // 客户电话校验
  customerContactWayVerify: `${server}/erp/customer/contact_way/verify`,
  // 行程记录（客户）---列表、添加、编辑、删除
  customerJourneyPlan: `${server}/erp/customer/journey_plan`,
  // 带看记录（客户）---列表、添加、编辑、删除
  customerGuideVisit: `${server}/erp/customer/guide_visit`,
  // 回访记录（客户）---列表、添加、编辑、删除
  customerRevisit: `${server}/erp/customer/revisit`,




  /**
   * 成交单
  * */
  // 删除成交单（新房）
  deleteNewHouseTradingRecord: `${server}/erp/new_house/trade_record`,
}
