const fileValiteConfig = [
  {
    value: 'image',
    label: '图片',
    validate: ['jpg', 'jpeg', 'png', 'gif'],
  },
  {
    value: 'video',
    label: '视频',
    validate: ['mp4', 'avi'],
  },
  {
    value: 'audio',
    label: '音频',
    validate: ['mp3'],
  },
  {
    value: 'doc',
    label: '文档',
    validate: ['doc', 'docx', 'xls', 'xlsx', 'csv', 'pdf'],
  },
  {
    value: 'pdf',
    label: 'PDF',
    validate: ['pdf'],
  },
]

const getFileType = (file)=> {
  const type = file.type
  const fileName = (file.name || file).toLocaleLowerCase()
  let subfix = fileName.match(/\.[0-9a-z]+$/)
  if (subfix) subfix = subfix[0].replace(/\./, '')
  return type || subfix
}


export const checkFileType = (file, validateType = '')=> {
  let result = true
  const config = fileValiteConfig.find(o=> o.value === validateType)
  const fileType = getFileType(file)
  if (config && config.validate && config.validate.every(k=> k !== fileType)) {
    result = false
  }
  return result
}

const fileTypeConfig = [
  { value: 'unknown', icon: require('assets/file-icon/unknow.png') },
  { value: 'image', types: ['jpg', 'jpeg', 'png', 'gif', 'bmp'], icon: require('assets/file-icon/jpg.png') },
  { value: 'video', types: ['3gp', 'mp4', 'mpeg', 'avi'], icon: require('assets/file-icon/video.png') },
  { value: 'audio', types: ['mp3'], icon: require('assets/file-icon/audio.png') },
  { value: 'word', types: ['txt', 'doc', 'docx', 'wps'], icon: require('assets/file-icon/word.png') },
  { value: 'excel', types: ['xls', 'xlsx', 'csv'], icon: require('assets/file-icon/excel.png') },
  { value: 'pdf', types: ['pdf'], icon: require('assets/file-icon/pdf.png') },
  { value: 'ppt', types: ['ppt', 'dps', 'pptx'], icon: require('assets/file-icon/ppt.png') },
]

// file支持file对象及文件地址
export const getFileIcon = (file)=> {
  let config = null
  config = fileTypeConfig.find(o=> (o.types && o.types.some(t=> t === getFileType(file))))
  if (!config) config = fileTypeConfig[0]
  return config.icon
}

