export function isString(obj) {
  return Object.prototype.toString.call(obj) === '[object String]';
}

export function isObject(obj) {
  return Object.prototype.toString.call(obj) === '[object Object]';
}

export function isArray(arr) {
  return Object.prototype.toString.call(arr) === '[object Array]';
}

export function isHtmlElement(node) {
  return node && node.nodeType === Node.ELEMENT_NODE;
}

export const isFunction = (functionToCheck) => {
  const getType = {};
  return functionToCheck && getType.toString.call(functionToCheck) === '[object Function]';
};

export function isUndefined(val) {
  return val === void 0;
}

export function isDefined(val) {
  return val !== undefined && val !== null;
}

export function isBoolean(obj) {
  return Object.prototype.toString.call(obj) === '[object Boolean]';
}

export function isNumber(obj) {
  return Object.prototype.toString.call(obj) === '[object Number]';
}
