import Storage from 'scripts/global/storage'

const saveKey = 'nanjing-lite-app'
const statePrototype = {}

/* 特殊的提交方法放在action value */
/* 普通存取放custom value, 设置好key及默认值即可 */
// vuex action values
const actionValues = {
  restoreState: {
    // defaultValue: {},
    // getters: state => state.direction,
    actions({commit, savedState}) {
      commit('restoreState', savedState)
    },
    mutations(state, savedState) {
      Object.assign(state, savedState)
    },
  },
  logOut: {
    mutations(state) {
      Object.assign(state, statePrototype)
      Storage.setItem(saveKey, '')
    },
  },
}

// custom values
// key: default value
const customValues = {
  routerHistory: {},
  pageDirection: 'forward',
  //
  openAuth: false, // 开启授权登录
  loginToken: null, // 登录token
  authorizationCode: null, // 授权码
  tenantId: null, // 租户id
  authInfo: {}, // 授权信息
}










const common = {
  name: saveKey,
  state: {},
  getters: {},
  actions: {},
  mutations: {},
}

// load actions
const actionKeys = Object.keys(actionValues)
actionKeys.forEach((key)=> {
  const config = actionValues[key]
  // set default value
  if (config.defaultValue) common.state[key] = config.defaultValue
  // set getters
  if (config.getters) common.getters[key] = config.getters
  // set actions
  if (config.actions) common.actions[key] = config.actions
  // set mutations
  if (config.mutations) common.mutations[key] = config.mutations
})

// load values
const customKeys = Object.keys(customValues)
customKeys.forEach((key)=> {
  // set default value
  common.state[key] = customValues[key]
  // set getters
  common.getters[key] = state=> state[key]
  // set mutations
  common.mutations[key] = (state, val)=> {
    state[key] = val
  }
})
// save default state
Object.assign(statePrototype, common.state)

export default common
