import Vue from 'vue'
import Vuex from 'vuex'
import Storage from 'scripts/global/storage'
import common from './common'
import customer from './customer'
import global from './global'


Vue.use(Vuex)
Vue.use(Storage)

const store = new Vuex.Store({
  //strict: DEV,
  modules: {
    common,
    customer,
    global,
  },
  plugins: [(store)=> {
    store.subscribe((mutation, state) => {
      // 每次mutation后保存state到storage
      const localStore = {
        common: state.common,
        global: state.global,
      }
      Storage.setItem('store', JSON.stringify(localStore))
    })
  }]
})

// 恢复状态
const restoreState = ()=> {
  const localStore = Storage.getItem('store')
  if (localStore) {
    const commonState = localStore.common || {}
    const globalState = localStore.global || {}
    store.commit('restoreState', commonState)
    store.dispatch('restoreGlobalState', globalState)
  }
}
restoreState()


export default store
